<?php
namespace Claromentis\Design;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1" . "zZw" . "=="), "_5164b7c135dc9712c57fea5e" . "29bbfdfe" => base64_decode("ZGVzaWduLnBlcm1zLnZpZXd" . "fdGhlbWU="));
use Claromentis\Core\Acl\Acl;
use Claromentis\Core\Acl\CommonPermsDialog;




class Perm
{
    const CLASS_THEME = 136;
    const CLASS_THEME_FORCED = 137;
    const VIEW = 0b1;
    public static function GetPermsDialog(Acl $acl)
    {
        $_f81196ce31aa53103a8109719a888904 = new CommonPermsDialog($acl);
        $_f81196ce31aa53103a8109719a888904->SetAllPermValues(self::GetAllPermValues());
        return $_f81196ce31aa53103a8109719a888904;
    }
    public static function GetAllPermValues()
    {
        return [self::VIEW => [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5164b7c135dc9712c57" . "fea5e29bbfdfe"]), true]];
    }
}